Subject: [PATCH] ARM: BCM5301X: Set GPIO enabling USB power on Netgear R7000

From: [email-masked] (Imre Kaloz)
Date: Wed, 22 Jun 2016 12:21:03 +0200

On Tue, 21 Jun 2016 17:23:18 +0200, Rafa? Mi?ecki <[email-masked]> wrote:

> On 21 June 2016 at 16:29, Imre Kaloz <[email-masked]> wrote:
>> On Tue, 21 Jun 2016 14:26:11 +0200, Rafa? Mi?ecki <[email-masked]>  
>> wrote:
>>
>>> On 21 June 2016 at 14:22, Imre Kaloz <[email-masked]> wrote:
>>>>
>>>> Is there any reason you are not handling this properly as a regulator
>>>> with
>>>> usb-nop-xceiv?
>>>
>>>
>>> We can't use USB NOP PHY as we need a specific PHY driver for  
>>> Broadcom's
>>> USB.
>>
>>
>> I see. That shouldn't stop you from addressing the regulator part, tho  
>> ;)
>
> How? Be more specific please.
>

Instead of blindly enabling a GPIO, you should define that GPIO line as a  
fixed regulator and make the USB phy driver handle it. Take a look at  
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7776ab70d75ff9857343e44e428744d81c30ce1b  
for example.

Imre